Name: libfdisk0
Version: 20041101
Release: alt1.M24.1

Summary: fdisk library
Group: System/Libraries
License: GPL
Packager: Anton Farygin <rider@altlinux.ru>

Conflicts: libfdisk
BuildPreReq: kernel-headers-std

Source: %name-%version.tar.bz2
Patch: libfdisk0-20041101-alt-mem.patch

%description
Library to work with disks

%package devel
Summary: Headers for developing programs that will use libfdisk
Group: Development/C
Requires: %name = %version-%release
Conflicts: libfdisk-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libfdisk library.

%prep
%setup -q
%patch -p1

%build
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%_libdir

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*

%changelog
* Sat May 28 2005 LAKostis <lakostis at altlinux.ru> 20041101-alt1.M24.1
- backport to Master-2.4.

* Mon Apr 25 2005 Anton D. Kachalov <mouse@altlinux.org> 20041101-alt2.1
- multilib support

* Fri Dec 24 2004 Dmitry V. Levin <ldv@altlinux.org> 20041101-alt2
- Plugged few memory leaks.

* Tue Nov 09 2004 Anton Farygin <rider@altlinux.ru> 20041101-alt1
- first build (source code from Mandrake diskdrake)

